Package org.springframework.cglib.beans

# Class ImmutableBean

java.lang.Object
org.springframework.cglib.beans.ImmutableBean

public class ImmutableBean extends Object

Author:
  Chris Nokleberg

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ImmutableBean.Generator`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`create(Object bean)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static Object create(Object bean)